Saltar al contenido

List canon touchpoint rows

Módulo Canon

GET/canon/touchpointscanonTouchpoints.list

A five-sense touchpoint with Base, Elevated and Premium grades. Returns a cursor page of canon touchpoint rows the caller may see. Coded list: the default order is numeric code order by `touchpoint_id`. Supports sparse fieldsets and the filter grammar.

  • Requiere la capacidad canon.taxonomy.read.
  • Alcances de OAuth: canon.
  • Paginación por cursor: se aplican limit, cursor, fields, sort y filter.
  • Estados de error: 400, 401, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

canonTouchpoints.list: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
limitLimitNoPage size. Default 50, maximum 200.Restricciones: range 1 to 200
cursorCursorNoOpaque cursor from `next_cursor` of the previous page.Restricciones: length 1 to any
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$
sortSortNoSort keys, comma-separated; a leading `-` sorts descending. Without `sort`, the documented default order applies (coded lists sort in numeric code order).Restricciones: pattern ^-?[a-z_][a-z0-9_]*(,-?[a-z_][a-z0-9_]*)*$
filterFilterNoFilter grammar `filter[field][op]=value`. Operators: eq, ne, lt, lte, gt, gte, in (comma-separated values), is_null (true or false) and contains. Conditions combine with AND.

Respuesta 200: una página de CanonTouchpoint

canonTouchpoints.list: CanonTouchpoint
CampoTipoObligatorioDescripción
touchpoint_idTouchpointIdSíFive-sense touchpoint identifier from `xpms.dim_touchpoint`.Restricciones: pattern ^[A-Z]{3}-[0-9]{2}$
sensestringSíSense the touchpoint addresses.Restricciones: length 1 to 200
brief_elementstringSíBrief element.Restricciones: length 1 to 200
categorystringSíTouchpoint category.Restricciones: length 1 to 200
itemstringSíTouchpoint item.Restricciones: length 1 to 200
basestringSíBase grade description.Restricciones: length 1 to 20000
elevatedstringSíElevated grade description.Restricciones: length 1 to 20000
premiumstringSíPremium grade description.Restricciones: length 1 to 20000
optional_upgradesstring | nullSíOptional upgrades.Restricciones: length 1 to 20000
{
  "data": [
    {
      "touchpoint_id": "SGT-01",
      "sense": "Architecture (Sight)",
      "brief_element": "Floor Plan",
      "category": "Stage Configuration",
      "item": "Ground-Level Stage",
      "base": "Low-rise deck stage.",
      "elevated": "Deck stage with skirted fascia.",
      "premium": "Custom-fabricated floor stage.",
      "optional_upgrades": "Stage-front lighting ribbon."
    },
    {
      "touchpoint_id": "SGT-02",
      "sense": "Architecture (Sight)",
      "brief_element": "Floor Plan",
      "category": "Stage Configuration",
      "item": "Ground-Level Stage",
      "base": "Low-rise deck stage.",
      "elevated": "Deck stage with skirted fascia.",
      "premium": "Custom-fabricated floor stage.",
      "optional_upgrades": "Stage-front lighting ribbon."
    }
  ],
  "next_cursor": null
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/canon/touchpoints" \
  -H "Authorization: Bearer $XOS_API_KEY"
for await (const row of xos.canonTouchpoints.listAll()) {
  console.log(row);
}
for row in xos.canon_touchpoints.list_all():
    print(row)
xos canon-touchpoints list --all